using RFramework;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using System.Threading.Tasks;

namespace Frame.TimerTask
{
    public partial class Service1 : ServiceBase
    {
        public Service1()
        {
            InitializeComponent();
        }

        protected override void OnStart(string[] args)
        {
            Log.RWrite("OnStart");
            //服务开启执行代码
        }
        protected override void OnStop()
        {
            Log.RWrite("OnStop");
            //服务结束执行代码
        }
        protected override void OnPause()
        {
            Log.RWrite("OnPause");
            //服务暂停执行代码
            base.OnPause();
        }
        protected override void OnContinue()
        {
            Log.RWrite("OnContinue");
            //服务恢复执行代码
            base.OnContinue();
        }
        protected override void OnShutdown()
        {
            Log.RWrite("OnShutdown");
            //系统即将关闭执行代码
            base.OnShutdown();
        }
    }
}
